Bug 1470036 - mariadb library upgrade to 10.2 causes jabberd FTBFS
Summary: mariadb library upgrade to 10.2 causes jabberd FTBFS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: jabberd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1467297
TreeView+ depends on / blocked
 
Reported: 2017-07-12 10:19 UTC by Augusto Caringi
Modified: 2017-07-17 22:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-17 22:35:16 UTC


Attachments (Terms of Use)
Patch to allow compilation of jabberd with MariaDB 10.2 (1.37 KB, patch)
2017-07-12 10:19 UTC, Augusto Caringi
no flags Details | Diff

Description Augusto Caringi 2017-07-12 10:19:35 UTC
Created attachment 1296835 [details]
Patch to allow compilation of jabberd with MariaDB 10.2

Trying to build jabberd with the new version of MariaDB 10.2 causes a build error:

storage_mysql.c:616:9: error: 'MYSQL {aka struct st_mysql}' has no member named 'reconnect'
     conn->reconnect = 1;
         ^~
authreg_mysql.c: In function 'ar_init':
authreg_mysql.c:631:9: error: 'MYSQL {aka struct st_mysql}' has no member named 'reconnect'
     conn->reconnect = 1;
         ^~

In this new version of the library the reconnect field was moved to another struct. I think that the best approach is to set it through API. I attached a patch proposal to fix the problem.

We are tracking all the possible problems regarding this MariaDB upgrade in the bug 1467297.

Copr build: https://copr.fedorainfracloud.org/coprs/g/db-sig/mariadb-10.2/package/jabberd/

Comment 2 Adrian Reber 2017-07-12 11:10:27 UTC
https://github.com/jabberd2/jabberd2/pull/152

Comment 3 Fedora Update System 2017-07-14 12:01:00 UTC
jabberd-2.6.1-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-428858445a

Comment 4 Fedora Update System 2017-07-15 20:17:00 UTC
jabberd-2.6.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-428858445a


Note You need to log in before you can comment on or make changes to this bug.